# HelmChart

This resource can be used to instantiate Helm charts as part of a package.

```yaml
apiVersion: templating.nyl/v1
kind: HelmChart
spec:
  repository: https://kubernetes.github.io/ingress-nginx
  chart: ingress-nginx
  version: 4.10.1
  releaseName: ingress-nginx
  releaseNamespace: ingress-nginx
  values: {}
```

__Spec__

* `repository` (string): The Helm repository URL, OCI registry URL (sans the chart name), a local path or a
  Git repository clone URL.
* `chart` (string): The name of the chart in the repository, the chart name to append to the OCI registry URL,
  the name of the chart in the local path or the path to the chart in the Git repository.
* `version` (string): The version of the chart to use. Only relevant for Helm/OCI repositories.
* `releaseName` (string): The name of the Helm release.
* `releaseNamespace` (string): The namespace to install the Helm release into. If any resources generated by the
  chart have no `metadata.namespace` field, it will be set to this value.
* `values` (object): The values to pass to the Helm chart.
